Subject: Re: [patch 0/1] updated version

From: Arnd Bergmann <[email-masked]>
Date: Thu, 21 Dec 2006 01:11:27 +0100

On Wednesday 20 December 2006 15:45, Christian Krafft wrote:
> I'm about to send an updated version,
> 
> I added 
> length check for the properties,
> DEFAULT_REGSIZE,
> simplified the comparison,
> 
> I did not fix the compiler warning.
> 

You should really fix the warning before sending the patch, ideally
you also check that you don't introduce new warnings found by 'sparse'.

Is the warning just about the cast from void* to enum? If so, you
need to replace that with a cast to unsigned long, like

enum { A, B, } e;
void *p;

p = (void *)(unsigned long)A;
e = (unsigned long)p;

	Arnd <><